Misar IO Docs
API Reference

API Overview

Misar ID REST API reference.

API Overview

The Misar ID API follows OAuth 2.0 / OpenID Connect standards.

Base URL: https://id.misar.io

Authentication

All API calls (except the login flow) require an access token:

Authorization: Bearer <access_token>

Endpoints

Auth

MethodEndpointDescription
GET/authorizeInitiate OAuth login flow
POST/tokenExchange code for tokens
POST/token/refreshRefresh an access token
POST/logoutRevoke session

User Info

MethodEndpointDescription
GET/userinfoGet authenticated user profile

SSO

MethodEndpointDescription
GET/api/sso/checkCheck session validity (for cross-TLD SSO)
POST/api/sso/exchangeExchange SSO token for session

Response Format

All responses are JSON:

{
  "data": {},
  "error": null
}

Error Codes

CodeDescription
401Unauthorized — invalid or expired token
403Forbidden — insufficient permissions
404Not found
429Rate limited